(function() {
    var TileFixtureFactory = require("mycompany/tutorial/tile/testing/TileFixtureFactory");
    var GwtTestRunner = require("caplin/testing/GwtTestRunner");
    GwtTestRunner.initialize();

    describe("Tile model and view are bound correctly", function(){
        fixtures(TileFixtureFactory);

        /** Test 1 **/
        /*
        it("binds view and model properties", function(){
            given("tile.viewOpened = true");
                and("tile.model.currencyPair = 'AUDUSD'");
                and("tile.model.buyRate = 3.33");
            then("tile.view.(.tile .instrument span).text = 'AUDUSD'");
                and("tile.view.(.tile .buysell-buttons button:nth-child(2)).text = '3.33'");
        });
        */

        /** Add the rest of the binding tests here. */

    });
})();
